Package org.apache.sling.resourceresolver.impl.mapping

# Interface StringInterpolationProvider

All Known Implementing Classes:
  `StringInterpolationProviderImpl`

public interface StringInterpolationProvider
This class provides placeholders for Sling configuration settings that depend on the environment like host names / ports for dev, test, qa, staging, prod systems Placeholders are enclosed in Starting and Ending Delimiters (see PLACEHOLDER_START/END_TOKEN) The name of the placeholder can contain any character except opening or closing brackets (no nesting).

## Method Summary

Modifier and Type
Method
Description
`String`
`substitute(String text)`
Replaces any placeholders with the replacement value

## Method Details

### substitute

String substitute(String text)
Replaces any placeholders with the replacement value

Parameters:
  `text` - Text to be substituted
Returns:
  Substituted string